﻿using GrapeCity.Windows.SpreadGrid;
using GrapeCity.Windows.SpreadGrid.Editors;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SpreadSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Product> products;
        public MainWindow()
        {
            InitializeComponent();
            products = new ObservableCollection<Product>();
            Random random = new Random();
            
            for(int i=1;i<10;i++)
            {
                products.Add(new Product() { Id = i, Name = "Product " + i, Price = random.Next(10, 10000)});
            }
            spread.ItemsSource = products;
            DataTemplateCellType dtCellType = new DataTemplateCellType();
            spread.Columns[2].CellType = dtCellType;
            dtCellType.DisplayElementTemplate= this.Resources["dtCellTemplate"] as DataTemplate;
        } 
    }

    public class Product
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public double Price { get; set; }
    }
   
}
